#include <iostream>
#include <vector>
using namespace std;
int main(){
    int n,l;
    cin>>n>>l;
    vector<int> a(n);
    for (int i=0;i<n;i++)
        cin>>a[i];
    for (int i=0;i<n;i++)
    {
        if(l>a[i])
        {
            cout<<i+1<<endl;
            return 0;
        }
    }
    cout<<-1<<endl;
    return 0;
}